
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  [Tool][GlobalClass]
  public partial class RemoveChildNodes : Action
  {
    [Export]
    public Node target;

    [Export]
    public bool queue = true;

    protected override void _OnTrigger()
    {
      if ( target == null )
      {
        return;
      }
      
      target.DestroyChildren( true, queue );
      
    }
  }
}